summaryrefslogtreecommitdiff
path: root/dev-python/reno
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-03-09 07:13:52 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-03-09 07:13:52 +0000
commit4125792b2722ea1d3b388fdc02d8387aff89fdec (patch)
tree112245e7b47e316570c31da0faea0cf8e4a4c37b /dev-python/reno
parent128d0d5c280b5b94db0ad982e27e0d08355294fe (diff)
downloadbaldeagleos-repo-4125792b2722ea1d3b388fdc02d8387aff89fdec.tar.gz
baldeagleos-repo-4125792b2722ea1d3b388fdc02d8387aff89fdec.tar.xz
baldeagleos-repo-4125792b2722ea1d3b388fdc02d8387aff89fdec.zip
Adding metadata
Diffstat (limited to 'dev-python/reno')
-rw-r--r--dev-python/reno/Manifest1
-rw-r--r--dev-python/reno/reno-4.0.0.ebuild44
2 files changed, 45 insertions, 0 deletions
diff --git a/dev-python/reno/Manifest b/dev-python/reno/Manifest
index 13eaa3737889..ba9ff4a779b4 100644
--- a/dev-python/reno/Manifest
+++ b/dev-python/reno/Manifest
@@ -1 +1,2 @@
DIST reno-3.5.0.tar.gz 83644 BLAKE2B 803d3d3c9ed572624b77d2851221edcd0a86241f86876970f1a64877d3083b39d8e574567f14dea52680538770a37bc70c55d74b66ddab6fda551209c32bb844 SHA512 4d48ec3faf26d046498edccc0dd6007dff36d8346395b5c62b2b85a8ff9bba5ac571cbdcb2aa8e522b6f4c155bd845a416cc715c30a29e8eae6d033ee1b52be7
+DIST reno-4.0.0.tar.gz 84541 BLAKE2B fdb04fb337d4cd1f9ec7c4656fdacdd76135fc44dc3357fdb43056204756ccbf854fdadccf319c3c3b2f19b611479b34f8e5afcb20f178c2aca2aca5241a165c SHA512 1058416f0291a6d8fe8e3600f0e02ebc8146541fd665b4c5027c24f1e3192f178424701a48c4413f94c997719cb82fd257dff5d0fcbb5fd7fcb4aba205baea62
diff --git a/dev-python/reno/reno-4.0.0.ebuild b/dev-python/reno/reno-4.0.0.ebuild
new file mode 100644
index 000000000000..a4ffdd7dcff9
--- /dev/null
+++ b/dev-python/reno/reno-4.0.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Release notes manager, storing release notes in a git repo and building docs"
+HOMEPAGE="
+ https://opendev.org/openstack/reno/
+ https://github.com/openstack/reno/
+ https://pypi.org/project/reno/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc64 ~riscv ~s390 ~x86"
+
+RDEPEND="
+ dev-python/pbr[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.3.1[${PYTHON_USEDEP}]
+ >=dev-python/dulwich-0.15.0[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.4[${PYTHON_USEDEP}]
+ >=dev-python/docutils-0.11[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-2.1.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/pbr[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
+ )
+"
+
+# The doc needs to be built from a git repository
+distutils_enable_tests unittest
+
+python_prepare_all() {
+ # Some tests need to be run from a git repository
+ rm reno/tests/test_{cache,semver}.py || die
+ distutils-r1_python_prepare_all
+}